function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Index, Column } from "typeorm";
import { id } from "../id.js";
export let Hashtag = class Hashtag {
    id;
    name;
    mentionedUserIds;
    mentionedUsersCount;
    mentionedLocalUserIds;
    mentionedLocalUsersCount;
    mentionedRemoteUserIds;
    mentionedRemoteUsersCount;
    attachedUserIds;
    attachedUsersCount;
    attachedLocalUserIds;
    attachedLocalUsersCount;
    attachedRemoteUserIds;
    attachedRemoteUsersCount;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Hashtag.prototype, "id", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], Hashtag.prototype, "name", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "mentionedUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "mentionedUsersCount", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "mentionedLocalUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "mentionedLocalUsersCount", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "mentionedRemoteUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "mentionedRemoteUsersCount", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "attachedUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "attachedUsersCount", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "attachedLocalUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "attachedLocalUsersCount", void 0);
_ts_decorate([
    Column({
        ...id(),
        array: true
    }),
    _ts_metadata("design:type", Array)
], Hashtag.prototype, "attachedRemoteUserIds", void 0);
_ts_decorate([
    Index(),
    Column("integer", {
        default: 0
    }),
    _ts_metadata("design:type", Number)
], Hashtag.prototype, "attachedRemoteUsersCount", void 0);
Hashtag = _ts_decorate([
    Entity()
], Hashtag);
